GET api/pcapi/pc/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_id": "5cb8a183-14d3-4b41-8210-59d14189d7b2",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "2ad67c5c-99ca-4e34-b14c-6366adce403b",
"local_ip": "sample string 7",
"lock_id": "50983bf8-d559-4f05-ae71-cfaae35cb2e5",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "8703f5f3-5874-40cb-b1f5-5ce25afb3678",
"rights": [
{
"code": "sample string 1",
"id": "266199cf-b841-4290-ad0b-572080c96c11"
},
{
"code": "sample string 1",
"id": "266199cf-b841-4290-ad0b-572080c96c11"
}
],
"site_id": "f7861ae2-2746-4c23-a981-032c489c89c1",
"zone_id": "001905bc-ae6d-4d07-8080-00dc8c0440eb"
}
application/xml, text/xml
Sample:
<pc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<cleanroom_id>5cb8a183-14d3-4b41-8210-59d14189d7b2</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>2ad67c5c-99ca-4e34-b14c-6366adce403b</id>
<local_ip>sample string 7</local_ip>
<lock_id>50983bf8-d559-4f05-ae71-cfaae35cb2e5</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>8703f5f3-5874-40cb-b1f5-5ce25afb3678</pc_type_id>
<rights>
<right>
<ID>266199cf-b841-4290-ad0b-572080c96c11</ID>
<code>sample string 1</code>
</right>
<right>
<ID>266199cf-b841-4290-ad0b-572080c96c11</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>f7861ae2-2746-4c23-a981-032c489c89c1</site_id>
<zone_id>001905bc-ae6d-4d07-8080-00dc8c0440eb</zone_id>
</pc>